from decimal import Decimal, InvalidOperation

def getInt(d, key, default):
	""" Helper for dict.get to return the default on error. """
	try:
		return int(d.get(key, default))
	except ValueError:
		return default

def getDecimal(d, key, default):
	""" Helper for dict.get to return the default on error. """
	try:
		return Decimal(d.get(key, default))
	except InvalidOperation:
		return default
